# class Gtk::IconTheme

### Public Instance Methods

choose_icon(icon_names, size, flags=nil) click to toggle source

    # File lib/gtk3/icon-theme.rb, line 20
    def choose_icon(icon_names, size, flags=nil)
      icon_names = [icon_names] unless icon_names.is_a?(Array)
      flags ||= 0
      choose_icon_raw(icon_names, size, flags)
    end

Also aliased as: choose_icon_raw
choose_icon_raw(icon_names, size, flags=nil)
Alias for: choose_icon
lookup_icon(icon, size, flags=nil) click to toggle source

    # File lib/gtk3/icon-theme.rb, line 27
    def lookup_icon(icon, size, flags=nil)
      case icon
      when String, Symbol
        flags ||= :generic_fallback
        lookup_icon_raw(icon.to_s, size, flags)
      else
        flags ||= 0
        lookup_by_gicon(icon, size, flags)
      end
    end

Also aliased as: lookup_icon_raw
lookup_icon_raw(icon, size, flags=nil)
Alias for: lookup_icon